Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4517 closed defect (wontfix)

Build failures for MacOS

Reported by: Chris Johns Owned by:
Priority: normal Milestone: 6.1
Component: tool Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

This ticket is a collection of the following archs that fail to build:

  • bfin
  • lm32
  • mips
  • or1k
  • powerpc
  • v850

bfin

../../../sourceware-mirror-binutils-gdb-7ab567f/sim/bfin/dv-bfin_dma.c:124:35: error: implicitly declaring library function 'abs' with type 'int (int)' [-Werror,-Wimplicit-function-declaration]
  if (dma->ele_size != (unsigned) abs (dma->x_modify))

lm32

../../../sourceware-mirror-binutils-gdb-7ab567f/sim/lm32/dv-lm32cpu.c:151:8: error: implicit declaration of function 'lm32bf_h_csr_get' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
  im = lm32bf_h_csr_get (cpu, LM32_CSR_IM);

mip

../../../sourceware-mirror-binutils-gdb-7ab567f/sim/mips/cp1.c:495:7: error: implicitly declaring library function 'abort' with type 'void (void) __attribute

or1k

../../../sourceware-mirror-binutils-gdb-7ab567f/sim/or1k/../common/cgen-trace.c:213:6: error: implicitly declaring library function 'abort' with type 'void (void) __attribute__((noreturn))' [-Werror,-Wimplicit-function-declaration]
            abort ();

powerpc

semantics.c:42:7: error: implicit declaration of function 'tree_find_property' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
  if (tree_find_property(root, "/options/mpc860c0"))

v850

../../../sourceware-mirror-binutils-gdb-7ab567f/sim/v850/simops.c:1651:6: error: implicit declaration of function 'free' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
            free (path);

Change History (3)

comment:1 Changed on 09/20/21 at 07:54:33 by Chris Johns

Description: modified (diff)

comment:2 Changed on 09/20/21 at 07:55:01 by Chris Johns

Description: modified (diff)

comment:3 Changed on 11/29/22 at 23:41:56 by Chris Johns

Resolution: wontfix
Status: newclosed

There may be issues. Reopen if a specific build is needed.

Note: See TracTickets for help on using tickets.